%define fw_version 5.24

%define oname kwallet

Summary:	KDE Frameworks 5 secure and unified container for user passwords module
Name:		%{oname}-kf5
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	gpgme-devel
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
# TODO: KF5Gpgmepp from PIM, not ready yet
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 secure and unified container for user passwords module.

This framework contains two main components:
* Interface to KWallet, the safe desktop-wide storage for passwords on KDE
  workspaces.
* The kwalletd used to safely store the passwords on KDE workspaces.

%files
%{_kde5_bindir}/kwalletd5
%{_kde5_bindir}/kwallet-query
%{_kde5_mandir}/man1/kwallet-query.1*
%{_kde5_notificationsdir}/kwalletd.notifyrc
%{_kde5_services}/kwalletd5.desktop
%{_datadir}/dbus-1/services/org.kde.kwalletd.service
%{_datadir}/dbus-1/services/org.kde.kwalletd5.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KWallet translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KWallet translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5wallet_major 5
%define libkf5wallet %mklibname kf5wallet %{kf5wallet_major}

%package -n %{libkf5wallet}
Summary:	KDE Frameworks 5 user passwords container shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5wallet}
KDE Frameworks 5 user passwords container shared library.

%files -n %{libkf5wallet}
%{_kde5_libdir}/libKF5Wallet.so.%{kf5wallet_major}*

#----------------------------------------------------------------------------

%define kf5walletbackend_major 5
%define libkf5walletbackend %mklibname kf5walletbackend5_ %{kf5walletbackend_major}

%package -n %{libkf5walletbackend}
Summary:	KDE Frameworks 5 user passwords container shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5walletbackend}
KDE Frameworks 5 user passwords container shared library.

%files -n %{libkf5walletbackend}
%{_kde5_libdir}/libkwalletbackend5.so.%{kf5walletbackend_major}*

#----------------------------------------------------------------------------

%define devkf5wallet %mklibname kf5wallet -d

%package -n %{devkf5wallet}
Summary:	Development files for KDE Frameworks 5 user passwords container module
Group:		Development/KDE and Qt
Requires:	%{libkf5wallet} = %{EVRD}
Requires:	%{libkf5walletbackend} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5wallet-devel = %{version}

%description -n %{devkf5wallet}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5wallet}
%{_kde5_includedir}/KF5/KWallet/
%{_kde5_includedir}/KF5/kwallet_version.h
%{_kde5_libdir}/libKF5Wallet.so
%{_kde5_libdir}/libkwalletbackend5.so
%{_kde5_libdir}/cmake/KF5Wallet
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (fae7de1) New version 5.24.0


